Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.discovery
Class MfDiscoveryService

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          com.sun.mfwk.discovery.MfDiscoveryService

All Implemented Interfaces:
  MfDiscoveryServiceMBean, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

public class MfDiscoveryService
extends javax.management.NotificationBroadcasterSupport
implements MfDiscoveryServiceMBean

The "MfDiscoveryService" MBean is responsible to send a DISCOVERY PDU everytime a CP module registers to become a notification listener. It is also responsible to handle RESP PDUs emitted by each Component product and to wrapp this RESP in a notification that will be sent to each of its listener.

Constructor Summary
`MfDiscoveryService()`

Method Summary
`void` | `addNotificationListener(javax.management.NotificationListener listener, javax.management.NotificationFilter filter, java.lang.Object handback)`
`java.lang.String` | `getMulticastGroup()` Getter: get the "Group" value of the multicast channel
`int` | `getMulticastPort()` Getter: get the "Port" value of the multicast channel
`javax.management.MBeanNotificationInfo[]` | `getNotificationInfo()` Returns a NotificationInfo object containing the name of the Java class of the notification and the notification types sent by this notification broadcaster.
`java.lang.String` | `getVersion()`
`void` | `stop()`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MfDiscoveryService

    public MfDiscoveryService()

Method Detail

### addNotificationListener

    public void addNotificationListener(javax.management.NotificationListener listener,
                                        javax.management.NotificationFilter filter,
                                        java.lang.Object handback)

  Specified by:
    `addNotificationListener` in interface `javax.management.NotificationBroadcaster`

### stop

    public void stop()

### getNotificationInfo

    public javax.management.MBeanNotificationInfo[] getNotificationInfo()

  Returns a NotificationInfo object containing the name of the Java class of the notification and the notification types sent by this notification broadcaster.

  Specified by:
    `getNotificationInfo` in interface `javax.management.NotificationBroadcaster`

### getMulticastGroup

    public java.lang.String getMulticastGroup()

  Description copied from interface: `MfDiscoveryServiceMBean`
  Getter: get the "Group" value of the multicast channel

  Specified by:
    `getMulticastGroup` in interface `MfDiscoveryServiceMBean`
  Returns:
    the current value of the "Group" attribute.

### getMulticastPort

    public int getMulticastPort()

  Description copied from interface: `MfDiscoveryServiceMBean`
  Getter: get the "Port" value of the multicast channel

  Specified by:
    `getMulticastPort` in interface `MfDiscoveryServiceMBean`
  Returns:
    the current value of the "Port" attribute.

### getVersion

    public java.lang.String getVersion()

  Specified by:
    `getVersion` in interface `MfDiscoveryServiceMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD